package edu.cmu.cs.l3.absyn;

import edu.cmu.cs.l3.symbol.Symbol;

public class ASUserType extends ASType {

    public ASUserType(int p, Symbol name) {
	super(p);

	m_name = name;
	m_typename = "UserType";
	m_classname = "ASUserType";
    }

    public Symbol getName() {
	return m_name;
    }

    Symbol m_name;
}